# Uses of Class
jdk.jfr.SettingDescriptor

Packages that use SettingDescriptor
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.

## Uses of SettingDescriptor in jdk.jfr

Methods in jdk.jfr that return types with arguments of type SettingDescriptor
Modifier and Type
Method
Description
`List<SettingDescriptor>`
EventType.`getSettingDescriptors()`
Returns an immutable list of the setting descriptors that describe the available event settings for this event type.